if GetLocale() ~= "enUS" then
	return
end

local L = ww_localization

-- config.lua
L["WW_VERSION"] = "WeightsWatcher version: %s"
L["ACCT_VERSION"] = "  Account data version: %d%s%d"
L["CHAR_VERSION"] = "  Character data version: %d%s%d"
L["HELP_TEXT_HEADER"] = "WeightsWatcher help:"
L["HELP_TEXT_GENERAL"] = "Type /weightswatcher <arg> (or /ww <arg>)"
L["HELP_TEXT_CONFIG"] = "  config      opens the main configuration window"
L["HELP_TEXT_WEIGHTS"] = "  weights   opens the weights configuration window"
L["HELP_TEXT_VERSION"] = "  version    displays version information"
L["HELP_TEXT_HELP"] = "  help         displays this message"
L["HELP_TEXT_BUGS"] = "  Please report bugs at wowinterface.com or WeightsWatcher@gmail.com"
L["config"] = "config"
L["version"] = "version"
L["weights"] = "weights"
L["DECIMAL_SEPARATOR"] = "."

-- config.xml
L["CONFIG_TITLE"] = "WeightsWatcher Configuration"
L["CALC_OPTS"] = "Calculation Options"
L["USE_UE_GEMS_TT"] = "Consider gems that are Unique-Equipped"
L["USE_UE_GEMS"] = "Use Unique-Equipped Gems"
L["USE_JC_GEMS_TT"] = "Consider gems that are Jewelcrafter-Only"
L["USE_JC_GEMS"] = "Use Jewelcrafter-Only Gems"
L["USE_VP_GEMS_TT"] = "Consider gems that are purchasable with gold"
L["USE_VP_GEMS"] = "Use Vendor-Purchasable Gems"
L["USE_PVPVP_GEMS_TT"] = "Consider gems that are purchasable with PVP tokens"
L["USE_PVPVP_GEMS"] = "Use PVP Vendor-Purchasable Gems"
L["USE_PC_GEMS_TT"] = "Consider gems that are player crafted (usually but not always through Jewelcrafting)"
L["USE_PC_GEMS"] = "Use Crafted Gems"
L["USE_P_GEMS_TT"] = "Consider gems that are created by a proc (i.e. Wrath \"Perfect\" gems)"
L["USE_P_GEMS"] = "Use Procced Gems"
L["USE_D_GEMS_TT"] = "Consider gems that are dropped by a mob/zone"
L["USE_D_GEMS"] = "Use Dropped Gems"
L["USE_QR_GEMS_TT"] = "Consider gems that are quest rewards"
L["USE_QR_GEMS"] = "Use Quest Reward Gems"
L["MAX_GEM_QUAL"] = "Maximum Ideal Gem Quality:"
L["MATCH_SOCKET"] = "Obey socket colors"
L["MATCH_SOCKET_TT"] = "Chooses ideal gems that obey their socket color (even if that gives a lower overall score)"
L["ALWAYS_MATCH_SOCKET"] = "Even if the socket bonus is worthless"
L["ALWAYS_MATCH_SOCKET_TT"] = "Forces ideal gems to obey their socket color (even if the socket bonus has a 0 or negative score for that weight)"
L["NORMALIZE"] = "Normalize weights"
L["NORMALIZE_TT"] = "Divides item scores by the total of all stats' values in that weight"
L["DISPLAY_OPTS"] = "Display Options"
L["SHOW_WTS"] = "Show weights:"
L["SHOW_IDEAL_WTS"] = "Show ideally-gemmed weights:"
L["SHOW_IDEAL_GEMS"] = "Show ideal gems:"
L["SHOW_ALT_IDEAL_GEMS"] = "Show alternate ideal gems:"
L["SHOW_IDEAL_GEM_STATS"] = "Show ideal gem stats:"
L["SHOW_DEBUG"] = "Show parser debug information:"
L["HIDE_HINTS_TT"] = "Hides modifier key hints in tooltips"
L["HIDE_HINTS"] = "Hide tooltip hints"
L["SHOW_CLASS"] = "Show class names:"
L["SHOW_DIFF"] = "Show differences to current gear"
L["SHOW_DIFF_TT"] = "Shows the change in score compared to the currently equipped gear"

-- weights.xml
L["WEIGHTS_TITLE"] = "WeightsWatcher Weight Values"
L["WATCH_TT"] = "Watch this weight?"
L["Save"] = "Save"
L["Copy"] = "Copy"
L["Reset"] = "Reset"
L["Delete"] = "Delete"
L["Restore Defaults"] = "Restore Defaults"
L["New Weight"] = "New Weight"
L["CHOOSE_WEIGHT_NAME"] = "Please choose a class and name for your new weight:"
L["Create"] = "Create"
L["Cancel"] = "Cancel"
L["DEFAULT_COPY_NAME"] = "Copy of %s"

-- WeightsWatcher.lua
L["/ww"] = "/ww"
L["/weightswatcher"] = "/weightswatcher"
L["INVALID_ACCT_DATA"] = "Invalid account data found.  You can:                  \n       - Disable WeightsWatcher and reload your UI\n- Load the default settings                          \n\nWARNING: loading the default account settings will erase all customized weights and options."
L["INVALID_CHAR_DATA"] = "Invalid character data found.  You can:               \n       - Disable WeightsWatcher and reload your UI\n- Load the default settings                          \n\nLoading the default character settings will not affect your customized weights."
L["Load Defaults"] = "Load Defaults"
L["Disable WeightsWatcher"] = "Disable WeightsWatcher"
L["Titan's Grip"] = "Titan's Grip"
L["Dual Wield"] = "Dual Wield"
L["Use effects:"] = "Use effects:"
-- TODO: move this to stackingEquipEffects.lua?
L["Stacking equip effects:"] = "Stacking equip effects:"
L["Sockets:"] = "Sockets:"
L["Socket Bonus:"] = "Socket Bonus:"
L["Active"] = "Active"
L["Inactive"] = "Inactive"
L["Gem Stats:"] = "Gem Stats:"
L["  Ideally-gemmed:"] = "  Ideally-gemmed:"
L["UNWEIGHTED_HINT"] = "|cffff0000* indicates unweighted effects|r (%d total)"
L["IDEAL_WTS_HINT"] = "<Press %s to show ideally-gemmed weights>"
L["IDEAL_GEMS_HINT"] = "<Press %s to show ideal gems>"
L["IDEAL_GEM_STATS_HINT"] = "<Press %s to show ideal gem stats>"
L["IDEAL_ALT_GEMS_HINT"] = "<Press %s to show alternate ideal gems>"
L["WTS_HINT"] = "<Press %s to show weights>"
L["DEBUG_HINT"] = "<Press %s to show debug info>"
L["WARN_UNREC_GEMID"] = "WeightsWatcher: Warning: Unrecognized GemId: %d"
L["WARN_UNREC_SOCKET_COLOR"] = "WeightsWatcher: Warning: Unrecognized socket color: %s"
L["WARN_UNHAND_GEMID"] = "WeightsWatcher: Unhandled GemId: %d"
L["WEIGHT_CLASS_FORMAT"] = "%s - %s"
L["DURATION_COOLDOWN_FORMAT"] = "  %d s. duration, %d s. cooldown"
L["EFFECT_STAT_FORMAT"] = "  %d %s"
L["EFFECT_STACKS_FORMAT"] = "%d stacks"
L["TRIGGER_FORMAT"] = "    on %s"
L["INDENTED_STRING_FORMAT"] = "  %s"
L["DOUBLY_INDENTED_STRING_FORMAT"] = "    %s"
L["TREBLY_INDENTED_STRING_FORMAT"] = "      %s"
L["GEM_NAME_COLOR_FORMAT"] = "  %s (%s)"
L["MULTIPLE_GEM_FORMAT"] = "    (Option %d/%d) %s (%s)"
L["SINGLE_GEM_FORMAT"] = "    Using %s (%s)"
L["Container"] = "Container"
L["Quiver"] = "Quiver"
L["Gem"] = "Gem"
L["Consumable"] = "Consumable"
L["Recipe"] = "Recipe"

-- weights.lua
L["Discard"] = "Discard"
L["WT_UNSAVED_CHANGES"] = "You have unsaved changes for this weight."
L["WT_DELETE_CONFIRM"] = "Are you sure you want to delete the %s weight named \"%s\"?"
L["WT_RESTORE_DEFAULTS_CONFIRM"] = "Are you sure you want to restore default weights?\n\nWeights whose names are white will be overwritten (the others will be left as they are)."
L["Okay"] = "Okay"
L["WT_EXISTS"] = "The %s weight named \"%s\" already exists.  Pick a different name."
L["CLASS_WEIGHT_HEADER_FORMAT"] = "%s - %s"

-- Upgrade.lua
L["UPGRADE_ERR_INV_DATA_TYPE"] = "WeightsWatcher: error: invalid data type \"%s\" passed to Upgrade()."
L["upgrade"] = "upgrade"
L["downgrade"] = "downgrade"
L["UPGRADE_ERR_NO_FUNC_TBL"] = "WeightsWatcher: error: no %s function table found."
L["LOADING_DEFAULTS"] = "WeightsWatcher: no %s data found, loading defaults."
L["account"] = "account"
L["character"] = "character"
L["UPGRADE_ATTEMPT"] = "WeightsWatcher: attempting to %s %s data from version %d%s%d to %d%4$s%7$d."
L["UPGRADE_ERR_NO_PATH"] = "WeightsWatcher: error: No %s data %s path found."
L["UPGRADE_ERR_GENERIC"] = "WeightsWatcher: %s data %s error."
L["UPGRADE_ERR_INF_LOOP"] = "WeightsWatcher: error: infinite loop in %s data %s."
L["UPGRADE_SUCCESS"] = "WeightsWatcher: %s data %s successful."
